Setting up WCCP with ASA and Squid

Unanswered Question
Jun 13th, 2009

I'm trying to setup transparent caching to a Squid server using an ASA5505 running the 8.2(1) software. I believe my config is correct, but still the Squid server cannot register with the ASA. In the ASA I have this:

wccp web-cache

wccp interface Inside web-cache redirect in

And in my squid.conf I have:

wccp_router X.X.X.X

wccp_version 2

wccp2_service standard 0

Where X.X.X.X is the Inside IP of the ASA. tcpdump shows the Squid sending UDP packets on port 2048 to the ASA every 10 seconds with no response. On the ASA, a "debug wccp event" generates these messages:

WCCP-EVNT:???: Unknown msg_type 7 on Inside from Y.Y.Y.Y

Where Y.Y.Y.Y is the IP of the Squid server.

Any ideas on this one? This is my first time doing WCCP on an ASA and I'm stumped.

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
johnnylingo Mon, 06/15/2009 - 13:28

Any ideas? I downgraded my ASA to 8.0(3) as I suspected it might be a bug, but still same problem. The ASA seems to ignore the registration requests from the Squid server.

bsetexast Tue, 06/16/2009 - 05:31

I have no experiences with this type of setup but the thought has crossed my mind on attempting this exact setup. I would suggest that possibly that the version of wccp is not the same on both devices. I got this off of a forum "Note the Squid-2.6 supports WCCPv2, which will definitely be the best version to run when Squid-2.6 becomes stable" so make sure you are running at least that version of Squid. My next suggestion would be to "sh wccp" and make sure the version is set to 2 on the ASA.

Upon research on google it does look like a version difference issue. http://www.google.com/url?sa=t&source=web&ct=res&cd=1&url=http%3A%2F%2Fwww.mail-archive.com%2Fcisco%40groupstudy.com%2Fmsg86973.html&ei=L543SsLjF9-wtgex-anbDA&usg=AFQjCNHVhycYmegIWyYv97ETo6noTDzrVg

johnnylingo Wed, 06/17/2009 - 09:16

Think I figured this out. I'd been using Squid 2.6 from the FreeBSD packages collection, which appears to only support WCCP v1 but doesn't give any warnings when trying to load WCCP v2 in the config file.

Actions

This Discussion